# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.83"
name = "symbolic-debuginfo"
version = "12.17.4"
authors = [
    "Armin Ronacher <armin.ronacher@active-4.com>",
    "Jan Michael Auer <mail@jauer.org>",
]
build = false
exclude = ["tests/**/*"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
A library to inspect and load DWARF debugging information from binaries, such
as Mach-O or ELF.
"""
homepage = "https://github.com/getsentry/symbolic"
documentation = "https://docs.rs/symbolic-debuginfo"
readme = false
license = "MIT"
repository = "https://github.com/getsentry/symbolic"

[package.metadata.docs.rs]
all-features = true

[features]
breakpad = [
    "nom",
    "nom-supreme",
    "regex",
]
default = [
    "breakpad",
    "elf",
    "macho",
    "ms",
    "ppdb",
    "sourcebundle",
    "js",
    "wasm",
]
dwarf = [
    "gimli",
    "once_cell",
]
elf = [
    "dwarf",
    "flate2",
    "goblin/endian_fd",
    "goblin/elf32",
    "goblin/elf64",
    "goblin/std",
    "scroll",
    "zstd",
]
js = []
macho = [
    "dwarf",
    "elementtree",
    "goblin/mach32",
    "goblin/mach64",
    "goblin/std",
    "scroll",
    "smallvec",
]
ms = [
    "elsa",
    "flate2",
    "goblin/pe32",
    "goblin/pe64",
    "goblin/std",
    "parking_lot",
    "pdb-addr2line",
    "scroll",
    "smallvec",
    "srcsrv",
]
ppdb = ["symbolic-ppdb"]
sourcebundle = [
    "parking_lot",
    "regex",
    "serde_json",
    "zip",
    "js",
    "debugid/serde",
]
wasm = [
    "dwarf",
    "wasmparser",
]

[lib]
name = "symbolic_debuginfo"
path = "src/lib.rs"

[[bench]]
name = "breakpad_parser"
path = "benches/breakpad_parser.rs"
harness = false
required-features = ["breakpad"]

[dependencies.debugid]
version = "0.8.0"

[dependencies.elementtree]
version = "1.2.3"
optional = true

[dependencies.elsa]
version = "1.8.0"
optional = true

[dependencies.fallible-iterator]
version = "0.3.0"

[dependencies.flate2]
version = "1.1.8"
features = ["rust_backend"]
optional = true
default-features = false

[dependencies.gimli]
version = "0.32.3"
features = [
    "read",
    "std",
    "fallible-iterator",
]
optional = true
default-features = false

[dependencies.goblin]
version = "0.8.0"
optional = true
default-features = false

[dependencies.nom]
version = "7.1.3"
optional = true

[dependencies.nom-supreme]
version = "0.8.0"
optional = true

[dependencies.once_cell]
version = "1.17.1"
optional = true

[dependencies.parking_lot]
version = "0.12.1"
optional = true

[dependencies.pdb-addr2line]
version = "0.10.4"
optional = true

[dependencies.regex]
version = "1.7.1"
optional = true

[dependencies.scroll]
version = "0.12.0"
optional = true

[dependencies.serde]
version = "1.0.171"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.102"
optional = true

[dependencies.smallvec]
version = "1.10.0"
optional = true

[dependencies.srcsrv]
version = "0.2"
optional = true

[dependencies.symbolic-common]
version = "12.17.4"

[dependencies.symbolic-ppdb]
version = "12.17.4"
optional = true

[dependencies.thiserror]
version = "2.0.17"

[dependencies.wasmparser]
version = "0.243.0"
optional = true

[dependencies.zip]
version = "7.2.0"
features = ["deflate"]
optional = true
default-features = false

[dependencies.zstd]
version = "0.13.1"
optional = true

[dev-dependencies.criterion]
version = "0.8.1"
features = ["html_reports"]

[dev-dependencies.insta]
version = "1.28.0"
features = ["yaml"]

[dev-dependencies.proptest]
version = "1.6.0"

[dev-dependencies.similar-asserts]
version = "1.4.2"

[dev-dependencies.tempfile]
version = "3.4.0"
